searchData={"items":[{"type":"module","title":"Gpex","doc":"","ref":"Gpex.html"},{"type":"function","title":"Gpex.new/2","doc":"Builds a Gpex struct from a list of attributes and children:\n\niex> Gpex.new(%{}, [])\n%Gpex{}\n\nBy default, attributes are set to standard values and tracks and waypoints are set to empty lists:\n\niex> Gpex.new(%{}, [])\n%Gpex{\n  creator: \"Gpex\",\n  version: \"1.1\",\n  xmlns: \"http://www.topografix.com/GPX/1/1\",\n  \"xmlns:topografix\": \"http://www.topografix.com/GPX/Private/TopoGrafix/0/1\",\n  \"xmlns:xsi\": \"http://www.w3.org/2001/XMLSchema-instance\",\n  \"xsi:schemaLocation\":\n    \"http://www.topografix.com/GPX/1/1 http://www.topografix.com/GPX/1/1/gpx.xsd http://www.topografix.com/GPX/Private/TopoGrafix/0/1 http://www.topografix.com/GPX/Private/TopoGrafix/0/1/topografix.xsd\",\n  tracks: [],\n  waypoints: []\n}\n\nAll top-level attributes can be overridden:\n\niex> Gpex.new(%{creator: \"Custom Creator\"}, [])\n%Gpex{creator: \"Custom Creator\"}\n\nAttribute keys can be strings or atoms:\n\niex> Gpex.new(%{\"version\" => \"1.0\"}, [])\n%Gpex{version: \"1.0\"}\n\nThe children of the GPX element are parsed into tracks and waypoints:\niex> Gpex.new(%{}, [\n...>   {\"trk\", %{}, [\n...>     {\"desc\", %{}, [\"Track 1\"]},\n...>     {\"trkseg\", %{}, [\n...>       {\"trkpt\", %{\"lat\" => \"43.553252\", \"lon\" => \"11.707813\"}, [\n...>         {\"ele\", %{}, [\"307.6000061035156\"]},\n...>         {\"time\", %{}, [\"2023-10-01T12:00:00Z\"]}\n...>       ]},\n...>       {\"trkpt\", %{\"lat\" => \"43.554252\", \"lon\" => \"11.708813\"}, [\n...>         {\"ele\", %{}, [\"308.6000061035156\"]},\n...>         {\"time\", %{}, [\"2023-10-01T12:01:00Z\"]}\n...>       ]}\n...>     ]}\n...>   ]},\n...>   {\"wpt\", %{\"lat\" => \"43.553252\", \"lon\" => \"11.707813\"}, [\n...>     {\"name\", %{}, [\"A point of interest\"]},\n...>     {\"ele\", %{}, [\"307.6000061035156\"]}\n...>   ]}\n...> ])\n%Gpex{\n  tracks: [\n    %Gpex.Track{\n      description: \"Track 1\",\n      segments: [\n        %Gpex.TrackSegment{\n          points: [\n            %Gpex.Point{latitude: 43.553252, longitude: 11.707813, elevation: 307.6000061035156},\n            %Gpex.Point{latitude: 43.554252, longitude: 11.708813, elevation: 308.6000061035156}\n          ]\n        }\n      ]\n    }\n  ],\n  waypoints: [\n    %Gpex.Waypoint{\n      name: \"A point of interest\",\n      latitude: 43.553252,\n      longitude: 11.707813,\n      elevation: 307.6000061035156\n    }\n  ]\n}","ref":"Gpex.html#new/2"},{"type":"function","title":"Gpex.parse/1","doc":"","ref":"Gpex.html#parse/1"},{"type":"function","title":"Gpex.reverse/1","doc":"","ref":"Gpex.html#reverse/1"},{"type":"module","title":"Gpex.Point","doc":"","ref":"Gpex.Point.html"},{"type":"function","title":"Gpex.Point.new/2","doc":"","ref":"Gpex.Point.html#new/2"},{"type":"module","title":"Gpex.Track","doc":"","ref":"Gpex.Track.html"},{"type":"function","title":"Gpex.Track.new/2","doc":"","ref":"Gpex.Track.html#new/2"},{"type":"function","title":"Gpex.Track.reverse/1","doc":"","ref":"Gpex.Track.html#reverse/1"},{"type":"module","title":"Gpex.TrackSegment","doc":"","ref":"Gpex.TrackSegment.html"},{"type":"function","title":"Gpex.TrackSegment.new/2","doc":"","ref":"Gpex.TrackSegment.html#new/2"},{"type":"function","title":"Gpex.TrackSegment.reverse/1","doc":"","ref":"Gpex.TrackSegment.html#reverse/1"},{"type":"module","title":"Gpex.Waypoint","doc":"","ref":"Gpex.Waypoint.html"},{"type":"function","title":"Gpex.Waypoint.new/2","doc":"","ref":"Gpex.Waypoint.html#new/2"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}